diff --git a/Reconstruction/RecExample/RecExRecoTest/test/test_recexreco_art_tau_fromesd.sh b/Reconstruction/RecExample/RecExRecoTest/test/test_recexreco_art_tau_fromesd.sh
new file mode 100755
index 0000000000000000000000000000000000000000..ac59da15fd7d1cfe0eb16d5b92cada611dde0bdc
--- /dev/null
+++ b/Reconstruction/RecExample/RecExRecoTest/test/test_recexreco_art_tau_fromesd.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+#
+# art-description: Athena runs topoclustering from an ESD file
+# art-type: grid
+# art-include: 21.0/Athena
+# art-include: 21.0-TrigMC/Athena
+# art-include: master/Athena
+# art-include: 21.3/Athena
+# art-include: 21.9/Athena
+
+athena tauRec/run_tau_standalone.py
+echo "art-result: $?"
diff --git a/Reconstruction/RecExample/RecExRecoTest/test/test_recexreco_art_tau_fromesd_MT_oneThread.sh b/Reconstruction/RecExample/RecExRecoTest/test/test_recexreco_art_tau_fromesd_MT_oneThread.sh
new file mode 100755
index 0000000000000000000000000000000000000000..70c89fe1b5fbde143046f8d34e6af9da1953d1f3
--- /dev/null
+++ b/Reconstruction/RecExample/RecExRecoTest/test/test_recexreco_art_tau_fromesd_MT_oneThread.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+# art-description: Athena runs topoclustering from an ESD file
+# art-type: grid
+# art-include: master/Athena
+
+athena --threads=1 tauRec/run_tau_standalone.py
+echo "art-result: $?"